> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 聚合技术

> Aggregation Technologies 端点将提供一个网站最常使用的技术列表，其中包括与您指定技术搭配使用的技术。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/domain_analytics/technologies/aggregation_technologies/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/domain_analytics/technologies/aggregation_technologies/live:
    post:
      summary: 聚合技术
      description: >-
        Aggregation Technologies
        端点将提供一个列表，其中包含网站与您指定的技术搭配使用时最常见的技术。您也可以指定技术类别或技术组，以获取范围更广的统计数据。
      operationId: >-
        post_dataforseo_domain_analytics_technologies_aggregation_technologies_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                group:
                  type: string
                  description: >-
                    目标技术组的 id 必填字段 如果未指定 technology、category 或
                    keyword，则至少必须设置一个字段（group、category、keyword、technology）可在此页面上找到技术组
                    id 的完整列表 示例："marketing"
                category:
                  type: string
                  description: >-
                    目标技术类别的 id；如果未指定 group、keyword 或
                    technology，则为必填字段；（group、category、keyword、technology）中至少必须设置一个字段；可在此页面查看完整的技术类别
                    id 列表；示例："crm"
                technology:
                  type: string
                  description: >-
                    目标技术，必填字段。如果未指定 group、keyword 或
                    category，则至少必须设置一个字段（group、category、keyword、technology）。可以在此页面查看完整的技术列表。示例："Salesforce"
                keyword:
                  type: string
                  description: >-
                    域名 meta keywords 中的目标关键词；如果未指定 group、category 或
                    technology，则此字段为必填项。至少必须设置一个字段（group、category、keyword、technology）。采用
                    UTF-8 编码。示例："seo"。有关 DataForSEO API 中 keyword 和 keywords
                    字段的规则与限制，请参阅此帮助中心文章
                mode:
                  type: string
                  description: >-
                    搜索模式；可选字段。可用的搜索模式类型：as_is – 搜索与指定的组 ID、类别 ID
                    或技术名称完全匹配的结果；entry – 搜索与指定的组 ID、类别 ID 或技术名称部分匹配的结果。默认值：as_is
                filters:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果过滤参数数组，可选字段。可以同时添加多个过滤器（最多 8 个）。应在条件之间设置逻辑运算符
                    and、or。支持以下运算符：, , >, >=, =, , in, not_in, like,not_like。可以将
                    % 运算符与 like 和 not_like
                    配合使用，以匹配由零个或多个字符组成的任意字符串。可以使用以下参数过滤结果：domain_rank,
                    last_visited, country_iso_code, language_code,
                    content_language_code。注意：所有过滤参数均取自 domain_technologies 端点的
                    domain_technology_item；示例：[["country_iso_code","=","US"],
                    "and", ["domain_rank",">",800]]。有关过滤器的更多信息，请参阅 Domain
                    Analytics Technologies API – Filters
                order_by:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果排序规则，可选字段。你可以使用以下值对结果进行排序：groups_count、categories_count、technologies_count。可用排序类型：asc
                    – 结果将按升序排列；desc –
                    结果将按降序排列。应使用逗号设置排序类型。示例：["groups_count,desc"]。请注意，单个请求最多可以设置三个排序规则。应使用逗号分隔多个排序规则。示例：["groups_count,desc","technologies_count,desc"]。默认值：["groups_count,desc","categories_count,desc","technologies_count,desc"]
                internal_groups_list_limit:
                  type: integer
                  description: >-
                    返回的技术组最大数量，可选字段；可使用此字段限制结果中具有相同 "group"
                    的项目数量；默认值：5；最小值：1；最大值：10000
                internal_categories_list_limit:
                  type: integer
                  description: >-
                    同一组中返回的技术类别的最大数量；可选字段。你可以使用此字段限制结果中具有相同 "category"
                    的项目数量。默认值：5；最小值：1；最大值：10000。
                internal_technologies_list_limit:
                  type: integer
                  description: >-
                    同一类别中返回的最大技术数量，可选字段。可以使用此字段限制结果中具有相同 "technology"
                    的项目数量，默认值：10，最小值：1，最大值：10000
                internal_list_limit:
                  type: integer
                  description: >-
                    具有相同 "category"、"group" 和 "technology"
                    的项目的最大数量。可选字段。如果使用此字段，将忽略
                    internal_groups_list_limit、internal_categories_list_limit 和
                    internal_technologies_list_limit 中指定的值；可以使用此字段限制具有相同
                    "category"、"group" 或 "technology"
                    的项目数量。默认值：10；最小值：1；最大值：10000
                limit:
                  type: integer
                  description: 返回的技术数量上限，可选字段，默认值：100，最大值：10000
                offset:
                  type: integer
                  description: >-
                    返回域名的结果数组偏移量，可选字段。默认值：0；最大值：9999。如果指定值
                    10，结果数组中的前十项技术将被省略，并提供后续技术的数据
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - group
                - category
                - technology
                - keyword
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.total_count:
                    type: integer
                    description: 数据库中与您的请求相关的结果总量
                  tasks.result.items_count:
                    type: integer
                    description: items 数组中返回的结果数量
                  tasks.result.:
                    type: string
                    description: 元素类型 = ‘aggregation_technologies_item’
                  tasks.result.group:
                    type: string
                    description: 技术组 ID
                  tasks.result.category:
                    type: string
                    description: 技术类别 ID
                  tasks.result.technology:
                    type: string
                    description: 技术名称
                  tasks.result.groups_count:
                    type: integer
                    description: 技术组计数表示符合你指定参数且正在使用所示组中技术的域名数量
                  tasks.result.categories_count:
                    type: integer
                    description: 技术类别计数，表示符合您指定参数且正在使用所示类别中技术的域名数量
                  tasks.result.technologies_count:
                    type: integer
                    description: 技术计数；符合指定参数且正在使用所示技术的域名数量
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````